LibreOffice: XSheetPageBreak Interface Reference

LibreOffice LibreOffice 4.4 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XSheetPageBreak Interface Referencepublished

provides access to page breaks in a sheet. More...

`import"XSheetPageBreak.idl";`

Inheritance diagram for XSheetPageBreak:

## Public Member Functions
sequence< com::sun::star::sheet::TablePageBreakData > | getColumnPageBreaks ()
| returns a sequence of descriptions of all horizontal page breaks on the sheet. More...
sequence< com::sun::star::sheet::TablePageBreakData > | getRowPageBreaks ()
| returns a sequence of descriptions of all vertical page breaks on the sheet. More...
void | removeAllManualPageBreaks ()
| removes all manual page breaks on the sheet. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to page breaks in a sheet.

Deprecated:

Developers Guide
  Spreadsheets - Spreadsheet - Page Breaks

## Member Function Documentation

sequence< com::sun::star::sheet::TablePageBreakData > getColumnPageBreaks | ( |  | ) |

returns a sequence of descriptions of all horizontal page breaks on the sheet.

This includes manual and automatic page breaks. To add or remove manual breaks, use the com::sun::star::table::TableColumn::IsStartOfNewPage property of the column.

Returns
  a sequence of structs containing column page break data.

sequence< com::sun::star::sheet::TablePageBreakData > getRowPageBreaks | ( |  | ) |

returns a sequence of descriptions of all vertical page breaks on the sheet.

This includes manual and automatic page breaks. To add or remove manual breaks, use the com::sun::star::table::TableRow::IsStartOfNewPage property of the row.

Returns
  a sequence of structs containing row page break data.

void removeAllManualPageBreaks | ( |  | ) |

removes all manual page breaks on the sheet.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetPageBreak.idl